org.red5.server.net.rtmp.codec

## Class RTMPMinaProtocolEncoder

- java.lang.Object
- - org.apache.mina.filter.codec.ProtocolEncoderAdapter
  - - org.red5.server.net.rtmp.codec.RTMPMinaProtocolEncoder

All Implemented Interfaces:
  org.apache.mina.filter.codec.ProtocolEncoder

    public class RTMPMinaProtocolEncoder
    extends org.apache.mina.filter.codec.ProtocolEncoderAdapter

Mina protocol encoder for RTMP.

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`RTMPMinaProtocolEncoder()`

### Method Summary

Methods
`void` `encode(org.apache.mina.core.session.IoSession session, Object message, org.apache.mina.filter.codec.ProtocolEncoderOutput out)`
`RTMPProtocolEncoder` `getEncoder()` Returns an RTMP encoder
`void` `setBaseTolerance(long baseTolerance)` Setter for baseTolerance
`void` `setDropLiveFuture(boolean dropLiveFuture)` Setter for dropLiveFuture
`void` `setEncoder(RTMPProtocolEncoder encoder)` Sets an RTMP protocol encoder
`void` `setSerializer(Serializer serializer)` Setter for serializer.

### Methods inherited from class org.apache.mina.filter.codec.ProtocolEncoderAdapter

`dispose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### RTMPMinaProtocolEncoder

    public RTMPMinaProtocolEncoder()

### Method Detail

#### encode

    public void encode(org.apache.mina.core.session.IoSession session,
              Object message,
              org.apache.mina.filter.codec.ProtocolEncoderOutput out)
                throws org.apache.mina.filter.codec.ProtocolCodecException

Throws:
  `org.apache.mina.filter.codec.ProtocolCodecException`

#### setEncoder

    public void setEncoder(RTMPProtocolEncoder encoder)

Sets an RTMP protocol encoder

Parameters:
  `encoder` - the RTMP encoder

#### getEncoder

    public RTMPProtocolEncoder getEncoder()

Returns an RTMP encoder

Returns:
  RTMP encoder

#### setSerializer

    public void setSerializer(Serializer serializer)

Setter for serializer.

Parameters:
  `serializer` - Serializer

#### setBaseTolerance

    public void setBaseTolerance(long baseTolerance)

Setter for baseTolerance

#### setDropLiveFuture

    public void setDropLiveFuture(boolean dropLiveFuture)

Setter for dropLiveFuture